curl --request POST \
--url https://api.contracting.kukkingu.software/api/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"name": "Jane Doe",
"isDefault": true,
"salutation": "Ms.",
"firstName": "Jane",
"middleName": "Allison",
"lastName": "Doe",
"jobTitle": "Procurement Lead",
"email": "jane.doe@example.com",
"phone": "+1-555-1234",
"order": 13
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/contacts"
payload = {
"clientId": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"name": "Jane Doe",
"isDefault": True,
"salutation": "Ms.",
"firstName": "Jane",
"middleName": "Allison",
"lastName": "Doe",
"jobTitle": "Procurement Lead",
"email": "jane.doe@example.com",
"phone": "+1-555-1234",
"order": 13
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
clientId: 'clnt_z2b3mo8qa5kzptgsu26q2wmh',
name: 'Jane Doe',
isDefault: true,
salutation: 'Ms.',
firstName: 'Jane',
middleName: 'Allison',
lastName: 'Doe',
jobTitle: 'Procurement Lead',
email: 'jane.doe@example.com',
phone: '+1-555-1234',
order: 13
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "con_xlbg6ubfio7tzvsijyp5794c",
"client": "clnt_z2b3mo8qa5kzptgsu26q2wmh",
"name": "Jane Doe",
"isDefault": true,
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"salutation": "Ms.",
"firstName": "Jane",
"middleName": "Allison",
"lastName": "Doe",
"jobTitle": "Procurement Lead",
"email": "jane.doe@example.com",
"phone": "+1-555-1234",
"order": 13
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Create contact
Creates a new contact for the provided client.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
"tnt_pfh0haxfpzowht3oi213cqos"
Body
Request body used to create a contact resource.
Request body used to create a contact resource.
Unique identifier of the client.
1"clnt_z2b3mo8qa5kzptgsu26q2wmh"
The full name of the contact.
1 - 255"Jane Doe"
Whether the contact is the default contact for a client.
true
The salutation of the contact.
50"Ms."
First name of the contact when available.
255"Jane"
Middle name of the contact when available.
255"Allison"
Last name of the contact when available.
255"Doe"
Job title of the contact.
255"Procurement Lead"
Primary email for the contact.
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$"jane.doe@example.com"
Primary phone number for the contact.
50"+1-555-1234"
Order of the resource for sorting purposes.
0 <= x <= 900719925474099113
Response
Default Response
Standard success response payload wrapped in a data property.
Contact resource returned by the API.
Show child attributes
Show child attributes